- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AlpsNodeSelectionHybrid Class Reference

`#include <AlpsSearchStrategy.h>`

Inheritance diagram for AlpsNodeSelectionHybrid:

[legend]
Collaboration diagram for AlpsNodeSelectionHybrid:

[legend]
List of all members.

## Public Member Functions
| AlpsNodeSelectionHybrid ()
| Default Constructor.
virtual | ~AlpsNodeSelectionHybrid ()
| Default Destructor.
virtual bool | compare (AlpsTreeNode *x, AlpsTreeNode *y)
| This returns true if the quality of node y is better (the lesser the better) than that of node x.
virtual AlpsTreeNode * | selectNextNode (AlpsSubTree *subTree)
virtual void | createNewNodes (AlpsSubTree *subTree, AlpsTreeNode *node)

## Detailed Description

Definition at line 211 of file AlpsSearchStrategy.h.

## Constructor & Destructor Documentation

AlpsNodeSelectionHybrid::AlpsNodeSelectionHybrid | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 215 of file AlpsSearchStrategy.h.

References AlpsSearchTypeHybrid.

virtual AlpsNodeSelectionHybrid::~AlpsNodeSelectionHybrid | ( |  | ) | `[inline, virtual]`

Default Destructor.

Definition at line 218 of file AlpsSearchStrategy.h.

## Member Function Documentation

virtual bool AlpsNodeSelectionHybrid::compare | ( | AlpsTreeNode * | x,
|  | AlpsTreeNode * | y |
| ) |  |  | `[inline, virtual]`

This returns true if the quality of node y is better (the lesser the better) than that of node x.

Implements AlpsNodeSelection.

Definition at line 222 of file AlpsSearchStrategy.h.

References AlpsTreeNode::getQuality().

virtual AlpsTreeNode* AlpsNodeSelectionHybrid::selectNextNode | ( | AlpsSubTree * | subTree | ) | `[virtual]`

Reimplemented from AlpsNodeSelection.

virtual void AlpsNodeSelectionHybrid::createNewNodes | ( | AlpsSubTree * | subTree,
|  | AlpsTreeNode * | node |
| ) |  |  | `[virtual]`

Reimplemented from AlpsNodeSelection.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.0/Alps/src/AlpsSearchStrategy.h